# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/4/27
import os
import sys
sys.path.append(os.getcwd())
from common.common import Common
from shipinhao.shipinhao_search.shipinhao_search import ShipinhaoSearch


class SearchMain:
    @classmethod
    def search_main(cls, log_type, crawler, env):
        Common.logger(log_type, crawler).info("开始抓取视频号搜索\n")
        ShipinhaoSearch.search_all_videos(log_type, crawler, env)
        Common.del_logs(log_type, crawler)
        Common.logger(log_type, crawler).info("视频号搜索抓取结束\n")


if __name__ == "__main__":
    SearchMain.search_main("search", "shipinhao", "dev")